- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- PlaybookType
Full name: projects.locations.instances.legacyPlaybooks.legacyGetWorkflowMenuCardsWithEnvFilter
Returns a list of available playbook definitions, specifically filtered by the environments the user has permission to access.
HTTP request
POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyGetWorkflowMenuCardsWithEnvFilter
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
instance |
Required. The instance to get the workflows that contains action for. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"legacyPayload": [
enum ( |
| Fields | |
|---|---|
legacyPayload[] |
Required. Playbook types to filter the workflow menu cards by. |
Response body
LegacyPlaybookGetWorkflowMenuCardsWithEnvFilterResponse is a response for getting the workflows that contains action.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"payload": [
{
object ( |
| Fields | |
|---|---|
payload[] |
Optional. The workflow menu cards. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the instance resource:
chronicle.legacyPlaybooks.get
For more information, see the IAM documentation.
PlaybookType
Playbook types to filter the workflow menu cards by.
| Enums | |
|---|---|
PLAYBOOK_TYPE_UNSPECIFIED |
Unspecified playbook type. |
REGULAR |
Regular playbook type. |
NESTED |
Nested playbook type. |